# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
DBus::PendingCall::Private Struct Reference

`#include <pendingcall_p.h>`

## Public Member Functions

| Private (DBusPendingCall *)
| ~Private ()

## Static Public Member Functions

static void | notify_stub (DBusPendingCall *dpc, void *data)

## Public Attributes

DBusPendingCall * | call
int | dataslot
Slot< void, PendingCall & > | slot

## Detailed Description

Definition at line 40 of file pendingcall_p.h.

## Constructor & Destructor Documentation

## ◆ Private()

PendingCall::Private::Private | ( | DBusPendingCall * | dpc | ) |

Definition at line 38 of file pendingcall.cpp.

References call, and dataslot.

## ◆ ~Private()

PendingCall::Private::~Private | ( |  | ) |

Definition at line 47 of file pendingcall.cpp.

References dataslot.

## Member Function Documentation

## ◆ notify_stub()

void PendingCall::Private::notify_stub | ( | DBusPendingCall * | dpc,
|  | void * | data )

static

Definition at line 55 of file pendingcall.cpp.

References DBus::PendingCall::data(), DBus::PendingCall::PendingCall(), and slot.

Referenced by DBus::PendingCall::PendingCall().

## Member Data Documentation

## ◆ call

DBusPendingCall* DBus::PendingCall::Private::call

Definition at line 42 of file pendingcall_p.h.

Referenced by Private().

## ◆ dataslot

int DBus::PendingCall::Private::dataslot

Definition at line 43 of file pendingcall_p.h.

Referenced by Private(), and ~Private().

## ◆ slot

Slot<void, PendingCall &> DBus::PendingCall::Private::slot

Definition at line 44 of file pendingcall_p.h.

Referenced by notify_stub().

The documentation for this struct was generated from the following files:

- pendingcall_p.h
- pendingcall.cpp